Bug 179391 - RHCERT: STORAGE2 test failed
RHCERT: STORAGE2 test failed
Status: CLOSED ERRATA
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: rhr2-tests (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Rob Landry
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 16:10 EST by Danny Trinh
Modified: 2007-04-18 13:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0284
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 09:38:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fdisk -l output (1.03 KB, text/plain)
2006-01-31 11:50 EST, Danny Trinh
no flags Details
STORAGE2 output.log (826 bytes, text/plain)
2006-01-31 11:51 EST, Danny Trinh
no flags Details
STORAGE2 output.log (31.95 KB, text/plain)
2006-01-31 14:53 EST, Danny Trinh
no flags Details
updated STORAGE2 test from CVS (8.89 KB, text/plain)
2006-02-01 17:53 EST, Will Woods
no flags Details

  None (edit)
Description Danny Trinh 2006-01-30 16:10:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
STORAGE2 test failed. The output.log said "Error: sda has active filesystem on it."
Ofcourse sda had /boot, swap, and / partitions to enable the system boots to RH OS.
 

Version-Release number of selected component (if applicable):
rhr2-2.0-1.EL4

How reproducible:
Always

Steps to Reproduce:
1.intstall RHEL4U2-i386, rhr2-2.0-1.EL4, rhr2-server-2.0-1.EL4, lmbench-2.0.4-1.EL4, ltp-20050804-1.EL4, dt-15.14-2.EL4 
2.Run redhat-ready
3.Follow the instruction on screen


Actual Results:  Failed STORAGE2 test.

Expected Results:  Should be no failures.

Additional info:
Comment 1 Will Woods 2006-01-31 11:20:58 EST
Could you attach the full output.log from that STORAGE2 run, and the output of
"fdisk -l /dev/sda"?
Comment 2 Danny Trinh 2006-01-31 11:50:40 EST
Created attachment 123919 [details]
fdisk -l output
Comment 3 Danny Trinh 2006-01-31 11:51:18 EST
Created attachment 123920 [details]
STORAGE2 output.log
Comment 4 Will Woods 2006-01-31 12:20:25 EST
I see two swap partitions, but STORAGE2 doesn't seem to see either of them
because they don't appear in /proc/swaps.

Are the swap devices inactive? If so, could you activate them and try to run the
test again?
Comment 5 Danny Trinh 2006-01-31 14:53:15 EST
Created attachment 123934 [details]
STORAGE2 output.log

I don't understand why the swap partitions aren't activated themselve after
installation. This could be another bug for RH. I will do more test on this.
In mean time, I activvate those 2 swap partitions and rerun STORAGE2 test
again. This time STORAGE2 is still failed, but different error messages.

Attached is another output.log after activating swap partitions and rerun
STORAGE2.
Comment 6 Will Woods 2006-02-01 17:52:56 EST
Okay, this is a different bug than the initial run, but definitely a bug. I'll
attach a STORAGE2 file that should fix this.
Comment 7 Will Woods 2006-02-01 17:53:48 EST
Created attachment 124009 [details]
updated STORAGE2 test from CVS
Comment 8 Will Woods 2006-02-14 16:48:02 EST
Does the STORAGE2 test in the previous comment fix the problem?
Comment 9 Danny Trinh 2006-02-15 09:29:52 EST
The STORAGE2 script from comment#7 works. I will rerun again with the new 
certification suite before closing this issue. 
Comment 12 Red Hat Bugzilla 2006-05-08 09:38:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0278.html
Comment 13 Red Hat Bugzilla 2006-05-08 09:38:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0284.html

Note You need to log in before you can comment on or make changes to this bug.